/// <reference types="react" />
import { FormState, FormValidation, FormValidationState } from "./models";
export declare const useForm: (initialForm?: FormState, formValidations?: FormValidation) => {
    isFormValid: boolean;
    handleSubmit: (onSubmit: (data: FormState) => Promise<void>) => (event: React.FormEvent) => Promise<void>;
    isSubmitted: boolean;
    onBlur: (event: React.FocusEvent<HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement>) => void;
    touchedFields: Set<unknown>;
    formState: FormState;
    setFormState: import("react").Dispatch<import("react").SetStateAction<FormState>>;
    onInputChange: (event: React.ChangeEvent<HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement>) => void;
    onResetForm: () => void;
    formValidation: FormValidationState;
};
